accounts/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'accounts'

urlpatterns = [
    path('signup/', views.signup_view, name='signup'),
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),

]

posrestaurant/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('web.urls')),
    path('accounts/', include('accounts.urls')),
    path('restaurants/', include('restaurants.urls')),
    path('orderstations/', include('orderstation.urls')),
]

urlpatterns +=staticfiles_urlpatterns()

restaurants/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views
from .views import SalesChartData
# from .views import GeneratePdf

app_name = 'restaurants'

urlpatterns = [
    path('', views.home_view, name='home'),
    # path('pdf/', GeneratePdf.as_view()),
    path('takeout/', views.takeout_view, name='takeout'),
    path('cashin/', views.cashin_view, name='cashin'),
    path('dine/', views.dines_view, name='dines'),
    path('dine/<int:tableNo>/', views.dine_view, name='dine'),
    path('addfoodmenu/', views.addfoodmenu_view, name='addfoodmenu'),
    path('editfoodmenu/', views.editfoodmenu_view, name='editfoodmenu'),
    path('savefoodmenu/', views.savefoodmenu_view, name='savefoodmenu'),
    path('cancelfoodmenu/', views.cancelfoodmenu_view, name='cancelfoodmenu'),

    path('takeoutfoodmenu/', views.takeoutfoodmenu_view, name='takeoutfoodmenu'),
    path('edittakeoutfoodmenu/', views.edittakeoutfoodmenu_view, name='edittakeoutfoodmenu'),
    path('canceltakeoutfoodmenu/', views.canceltakeoutfoodmenu_view, name='canceltakeoutfoodmenu'),
    path('paytakeoutfoodmenu/', views.paytakeoutfoodmenu_view, name='paytakeoutfoodmenu'),
    path('billing/<int:tableNo>/', views.billing_view, name='billing'),
    path('payment/', views.payment_view, name='payment'),
    path('addbillfoodmenu/', views.addbillfoodmenu_view, name='addbillfoodmenu'),
    path('editbillfoodmenu/', views.editbillfoodmenu_view, name='editbillfoodmenu'),
    path('cancelbillfoodmenu/', views.cancelbillfoodmenu_view, name='cancelbillfoodmenu'),
    path('sales/', views.sales_view, name='sales'),

    # Tables Section
    path('tablelist/', views.tablelist_view, name='tablelist'),
    path('addtable/', views.addtable_view, name='addtable'),
    path('edittable/', views.edittable_view, name='edittable'),
    path('deletetable/', views.deletetable_view, name='deletetable'),

    # Food Menu Section
    path('foodmenulist/', views.foodmenulist_view, name='foodmenulist'),
    path('addfoodmenulist/', views.addfoodmenulist_view, name='addfoodmenulist'),
    path('editfoodmenulist/', views.editfoodmenulist_view, name='editfoodmenulist'),
    path('deletefoodmenulist/', views.deletefoodmenulist_view, name='deletefoodmenulist'),

    # Food Category Section
    path('foodcategorylist/', views.foodcategorylist_view, name='foodcategorylist'),
    path('addfoodcategorylist/', views.addfoodcategorylist_view, name='addfoodcategorylist'),
    path('editfoodcategorylist/', views.editfoodcategorylist_view, name='editfoodcategorylist'),
    path('deletefoodcategorylist/', views.deletefoodcategorylist_view, name='deletefoodcategorylist'),

    # Close Transaction
    path('closetransaction/', views.closetransaction_view, name='closetransaction'),
    path('addcashremit/', views.addcashremit_view, name='addcashremit'),
    path('closed/', views.closed_view, name='closed'),

    # VOID 
    path('void/', views.void_view, name='void'),
    path('voidmenu/', views.voidmenu_view, name='voidmenu'),

    # TRANSACTION VOID
    path('transvoidfoodmenu/', views.transvoidfoodmenu_view, name='transvoidfoodmenu'),
    path('takeouttransvoidfoodmenu/', views.takeouttransvoidfoodmenu_view, name='takeouttransvoidfoodmenu'),

    # PAYMENT
    path('addamounttendered/', views.addamounttendered_view, name='addamounttendered'),

    # POS Settings
    path('possettings/', views.possettings_view, name='possettings'),
    path('editpossettings/', views.editpossettings_view, name='editpossettings'),

    # GENERATE RECEIPT
    path('pdf/', views.generatePdf, name='pdf'),
    path('bill/', views.generateBill, name='bill'),
    path('generatereceipt/', views.generateReceipt, name='generatereceipt'),
    path('generatebill/', views.generate_bill, name='generatebill'),
    path('downloaddine/<int:tableNo>/<int:refNo>/', views.downloaddine_view, name='downloaddine'),
    path('printdine/', views.printdine_view, name='printdine'),
    path('printtakeout/', views.printtakeout_view, name='printtakeout'),

    # REPORTS
    path('reports/', views.reports_view, name='reports'),
    path('api/saleschartdata/data/', SalesChartData.as_view()),

    # TRANSFER TABLE
    path('transfertable/', views.transfertable_view, name='transfertable'),

    
    path('sample/', views.sample_view, name='sample'),

]

web/urls.py
from django.contrib import admin
from django.urls import path
from . import views
from django.views.generic import TemplateView

# app_name='web'
urlpatterns = [
    path('', TemplateView.as_view(template_name='dashboard.html'), name='home'),
    # path('about', views.about, name='about'),
    # path('contact', views.contact, name='contact'),
    # path('properties', views.properties, name='properties'),
    # path('property/detail/<int:property_id>', views.property_detail, name='detail'),
    # path('search', views.search, name='search'),
]

restaurants/models.py
from django.db import models

# Create your models here.

restaurants/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import logout
from django.http import HttpResponseRedirect, Http404, HttpResponse
from core.models import *
import datetime

from django.db.models import Sum, Avg
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
from django.contrib import messages
from django.contrib.auth.decorators import login_required

# rest 
from rest_framework.views import APIView
from rest_framework.response import Response

from django.views.generic import View

from .utils import render_to_pdf
from django.template.loader import get_template

from django.utils import timezone
import os, csv
from pathlib import Path
import textwrap

from django.template import loader, Context

# Create your views here.
# function based view
# class GeneratePdf(View):
def generatePdf(request):   
    tableno         = request.POST.get("tableNo") 
    transcode       = request.POST.get("transCode") 
    orderno         = request.POST.get("orderNo") 
    
    possettings = POSSetting.objects.all()
    getOrderDetailsLists = TempRestaurantOrderDetail.objects.filter(tableNo=tableno, isVat=True, isCancelled=False)
    totalamount = TempRestaurantOrderDetail.objects.filter(tableNo=tableno, isVat=True).aggregate(sum=Sum('totalAmount'))['sum']
    totalitems = TempRestaurantOrderDetail.objects.filter(tableNo=tableno, isVat=True).aggregate(sum=Sum('qtySold'))['sum']

    if not totalamount:
        totalamount = 0
    totalVATsale = float(totalamount) / 1.12
    totalVAT = totalVATsale * 0.12

    today = timezone.now()
    user = request.user.username
    params = {
            'possettings':possettings,
            'orderno':orderno,
            'today': today,
            'items': getOrderDetailsLists,
            'totalamount': totalamount,
            'totalitems': totalitems,
            'totalVATsale': totalVATsale,
            'totalVAT': totalVAT,
            'user': user
        }
    return render_to_pdf('invoice.html', params)

    # ===================================================================

    # orderno         = request.POST.get("orderNo") 
    # transid         = request.POST.get("transID") 
    # print(orderno)
    # print(transid)
    # possettings = POSSetting.objects.all()
    # getitemlists =  RestaurantOrderDetail.objects.filter(orderNo=orderno, transactionCode=transid, isVat=True)
    # totalamount = RestaurantOrderDetail.objects.filter(isVat=True).aggregate(sum=Sum('totalAmount'))['sum']
    # totalitems = RestaurantOrderDetail.objects.filter(isVat=True).aggregate(sum=Sum('qtySold'))['sum']

    # if not totalamount:
    #     totalamount = 0
    # totalVATsale = float(totalamount) / 1.12
    # totalVAT = totalVATsale * 0.12

    # today = timezone.now()
    # user = request.user.username
    # print(getitemlists)
    # params = {
    #         'possettings':possettings,
    #         'orderno':orderno,
    #         'transno':transid,
    #         'today': today,
    #         'items': getitemlists,
    #         'totalamount': totalamount,
    #         'totalitems': totalitems,
    #         'totalVATsale': totalVATsale,
    #         'totalVAT': totalVAT,
    #         'user': user
    #     }
    # return render_to_pdf('invoice.html', params)
    # ====================================================================
    # template = get_template('invoice.html')
    # context = {
    #     "invoice_id": getitemlists.orderno,
    #     "customer_name": "John Cooper",
    #     "amount": getitemlists.transid,
    #     "today": "Today",
    # }
    # html = template.render(context)
    # pdf = render_to_pdf('invoice.html', context)
    # return HttpResponse(pdf, content_type='application/pdf')
    # if pdf:
    #     response = HttpResponse(pdf, content_type='application/pdf')
    #     # filename = "Invoice_%s.pdf" %("orderno")
    #     filename = "Invoice.pdf"
    #     content = "inline; filename='%s'" %(filename)
    #     download = request.GET.get("download")
    #     if download:
    #         content = "attachment; filename='%s'" %(filename)
    #     response['Content-Disposition'] = content
    #     return response
    # return HttpResponse("Not found")
@login_required(login_url="/accounts/login/")
def home_view(request):
    branches = Branch.objects.filter(isVat=True)
    print(request.user.id)
    try:
        checks = SalesTransactionSummary.objects.filter(userID=request.user.id, isVat=1).count()
    except SalesTransactionSummary.DoesNotExist:
        checks = None
        raise Http404("No MyModel matches the given query.")
    print(checks)
    
    template='home.html'
    context = {'branches': branches, 'checks': checks, 'time':datetime.date.today(), 'timezone':timezone.now()}
    return render(request, template, context)

@login_required(login_url="/accounts/login/")
def cashin_view(request):
    if request.method == 'POST':
        code = request.POST.get('branchcode')
        name = request.POST.get('branchname')
        cashbegin = request.POST.get('cashbegin')
        user = request.user.id
        salessummary = SalesTransactionSummary.objects.all().count()

        accntcode = salessummary + 1000
        sales = SalesTransactionSummary(
            accountCode=accntcode,
            branchCode=code,
            userID=user,
            beginningCash=cashbegin,
            openBy=user,
            isVat=True
            )
        
        sales.save()

    return redirect('restaurants:dines')
    # template='home.html'
    # context = {}
    # return render(request, template, context)

@login_required(login_url="/accounts/login/")
def takeout_view(request):
    try:
        checks = SalesTransactionSummary.objects.filter(userID=request.user.id, isVat=1).count()
    except SalesTransactionSummary.DoesNotExist:
        checks = None
        raise Http404("No MyModel matches the given query.")

    # Fetch all FoodMenu
    menus = FoodMenu.objects.filter(isVat=True)

    # Fetch all FoodCategory
    categories = FoodCategory.objects.filter(isVat=True)

    #Fetch all RestaurantOrderSummary that isVal=True
    countOrderSummaries = RestaurantOrderSummary.objects.all().count()
    totalOrderSummaries = countOrderSummaries + 1000

    getSalesTransactionSummary = SalesTransactionSummary.objects.get(userID=request.user.id, isVat=True)
    print(getSalesTransactionSummary)

    getOrderDetailsLists = RestaurantOrderDetail.objects.filter(orderNo=totalOrderSummaries)
    
    try:
        totalamount = RestaurantOrderDetail.objects.filter(isVat=False).aggregate(sum=Sum('totalAmount'))['sum']
    except RestaurantOrderDetail.DoesNotExist:
        totalamount = None
        raise Http404("No MyModel matches the given query.")

    if not totalamount:
        totalamount = 0
    totalVATsale = float(totalamount) / 1.12
    totalVAT = totalVATsale * 0.12
    
    try:
        totalitems = RestaurantOrderDetail.objects.filter(isVat=False).aggregate(sum=Sum('qtySold'))['sum']
    except RestaurantOrderDetail.DoesNotExist:
        totalitems = None
        raise Http404("No MyModel matches the given query.")
    if not totalitems:
        totalitems = 0

    tempOrderDetails = RestaurantOrderDetail.objects.filter(orderNo=totalOrderSummaries, isVat=False)
    page = request.GET.get('page', 1)

    paginator = Paginator(tempOrderDetails, 10)
    try:
        tempOrderDetailpages = paginator.page(page)
    except PageNotAnInteger:
        tempOrderDetailpages = paginator.page(1)
    except EmptyPage:
        tempOrderDetailpages = paginator.page(paginator.num_pages)
        
    template='takeout.html'
    context = {'categories':categories,'checks':checks, 'tempOrderDetailpages': tempOrderDetailpages,'menus': menus, 'totalOrderSummaries': totalOrderSummaries,'getSalesTransactionSummary': getSalesTransactionSummary,'getOrderDetailsLists': getOrderDetailsLists,'totalamount': totalamount,'totalitems': totalitems,'totalVATsale': totalVATsale,'totalVAT': totalVAT}
    return render(request, template, context)

@login_required(login_url="/accounts/login/")
def takeoutfoodmenu_view(request):
    if request.method == 'POST':
        orderno         = request.POST.get("orderNo") 
        transid         = request.POST.get("transID")  
        prodcode        = request.POST.get("prodCode") 
        foodDesc        = request.POST.get("foodDesc")  
        foodSellPrice   = request.POST.get("foodSellPrice")  

        # getqty = float(foodSellPrice) *
        taxrate = 0.12
        subtotal = float(foodSellPrice) / 1.12
        totaltax = subtotal * taxrate

        try:
            getexists = RestaurantOrderDetail.objects.filter(orderNo=orderno, productCode=prodcode, transactionCode=transid, isVat=False, isCancelled=False)
        except RestaurantOrderDetail.DoesNotExist:
            getexists = None
            raise Http404("No MyModel matches the given query.")
        print(getexists)
        if not getexists:
            print('wal walawalalala')
            RestaurantOrderDetail(
                        orderNo=orderno,
                        transactionCode=transid,
                        productCode=prodcode,
                        branchCode=888,
                        description=foodDesc,
                        sellingPrice=foodSellPrice,
                        qtySold=1,
                        taxRate=taxrate,
                        taxTotal=totaltax,
                        subTotal=subtotal,
                        processedBy=request.user.username,
                        totalAmount=foodSellPrice,
                        status='Pending'
                    ).save()
        if getexists:
            for getexist in getexists:
                print('naaaaaaaaaaaa')
                print(getexist)
                getqty = float(getexist.qtySold) + 1
                gettotal = float(getexist.sellingPrice) * getqty
                updatesubtotal = float(gettotal) / 1.12

restaurants/templates/foodcategorylist.html
{% extends 'restaurant_base.html'%}
{% load static from staticfiles %}

{% block content %}
<div class="content-wrapper">
    <div class="container">
        <section class="content-header text-center">
            <img class="itcsi" src="{% static 'dist/img/restaurantlogo.png' %}" alt="User Image">
            <h1><strong>FOOD CATEGORIES</strong></h1>
        </section>

        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-success" style="height: 550px;">
                        <div class="box-header with-border">
                            <h3 class="box-title">List of Food Categories</h3>
                            <span><a href="#modal-addfoodmenu" class="btn btn-primary btn-sm pull-right" data-toggle="modal"><i class="fa fa-fw fa fa-plus"></i> Add Menu</a></span>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table class="table table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th>Menu Category</th>
                                        <th style="width: 300px">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for getcategorylist in getcategorylists %}
                                    <tr>
                                        <td>{{ getcategorylist.categoryName }}</td>
                                        <td>
                                            <a href="#modal-edittable" class="edittable btn btn-info btn-sm pull-left" data-toggle="modal" data-id="{{ getcategorylist.id }}" data-name="{{ getcategorylist.categoryName }}"><i class="fa fa-fw fa-pencil"></i> Edit Category Name</a>
                                            &nbsp;
                                            <a href="#modal-deletetable" class="deletetable btn btn-danger btn-sm" data-toggle="modal" data-id="{{ getcategorylist.id }}" data-name="{{ getcategorylist.categoryName }}"><i class="fa fa-fw fa-trash"></i> Delete</a>
                                        </td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table> 
                        </div>
                        <!-- /.box-body -->
                    </div>
                </div>
            </div>
        </section>

        <div class="modal fade" id="modal-addfoodmenu">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                        <h4>Add Food Category</h4>
                    </div>
                    <form class="site-form" action="{% url 'restaurants:addfoodcategorylist' %}" method="post">
                        {% csrf_token %}
                        <div class="modal-body">
                                <div class="box-body">
                                    <div class="form-group">
                                        <label for="menu">Food Category</label>
                                        <input type="text" name="category" class="form-control" placeholder="Input Food Category Name..." autofocus>
                                    </div>
                                </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Submit"></input>
                        </div>
                    </form>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->

        <div class="modal fade" id="modal-edittable">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                        <h4>Edit Food Category Name</h4>
                    </div>
                    <form class="site-form" action="{% url 'restaurants:editfoodcategorylist' %}" method="post">
                        {% csrf_token %}
                        <div class="modal-body">
                                <div class="box-body">
                                    <div class="form-group">
                                        <input type="hidden" name="idno" id="idno">
                                        <label for="tableno">Food Category</label>
                                        <input type="text" name="category" id="tableno" class="form-control" autofocus>
                                    </div>
                                </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Submit"></input>
                        </div>
                    </form>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->

        <div class="modal fade" id="modal-deletetable">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                        <h4>Delete Food Category</h4>
                    </div>
                    <form class="site-form form-horizontal" action="{% url 'restaurants:deletefoodcategorylist' %}" method="post">
                        {% csrf_token %}
                        <div class="modal-body">
                                <div class="box-body">
                                    <div class="form-group">
                                        <input type="hidden" name="idno" id="idno">
                                        <h3 class="text-center">Are you sure you want to DELETE this Food Menu?</h3>
                                        <label for="tableno" class="col-sm-3 control-label">Food Category</label>
                                        <div class="col-sm-9">
                                          <input type="text" class="form-control" name="tableno" id="tableno" disabled>
                                        </div>
                                    </div>
                                </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Submit"></input>
                        </div>
                    </form>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->

    </div>
</div>
{% endblock %}

restaurants/templates/tablelist.html
{% extends 'restaurant_base.html'%}
{% load static from staticfiles %}

{% block content %}
<div class="content-wrapper">
    <div class="container">
        <section class="content-header text-center">
            <img class="itcsi" src="{% static 'dist/img/restaurantlogo.png' %}" alt="User Image">
            <h1><strong>TABLES</strong></h1>
        </section>
        
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-success" style="height: 550px;">
                        <div class="box-header with-border">
                            <h3 class="box-title">List of Tables</h3>
                            <span><a href="#modal-addtable" class="btn btn-primary btn-sm pull-right" data-toggle="modal"><i class="fa fa-fw fa fa-plus"></i> Add Table</a></span>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table class="table table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th style="width: 100px">Table #</th>
                                        <th style="width: 100px">Table Status</th>
                                        <th style="width: 2px">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for gettablelist in gettablelists %}
                                    <tr>
                                        <td>{{ gettablelist.tableNo }}</td>
                                        <td>{{ gettablelist.tableStatus }}</td>
                                        <td>
                                            <a href="#modal-edittable" class="edittable btn btn-info btn-sm pull-left" data-toggle="modal" data-id="{{gettablelist.id}}" data-name="{{gettablelist.tableNo}}"><i class="fa fa-fw fa-pencil"></i> Edit</a>
                                            &nbsp;
                                            <a href="#modal-deletetable" class="deletetable btn btn-danger btn-sm" data-toggle="modal" data-id="{{gettablelist.id}}" data-name="{{gettablelist.tableNo}}"><i class="fa fa-fw fa-trash"></i> Delete</a>
                                        </td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table> 
                        </div>
                        <!-- /.box-body -->
                    </div>
                </div>
            </div>
        </section>

        <div class="modal fade" id="modal-addtable">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                        <h4>Add Table</h4>
                    </div>
                    <form class="site-form" action="{% url 'restaurants:addtable' %}" method="post">
                        {% csrf_token %}
                        <div class="modal-body">
                                <div class="box-body">
                                    <div class="form-group">
                                        <label for="tableno">Table Number</label>
                                        <input type="text" name="tableno" class="form-control" placeholder="Input Table Number..." autofocus>
                                    </div>
                                </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Submit"></input>
                        </div>
                    </form>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->

        <div class="modal fade" id="modal-edittable">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                        <h4>Edit Table</h4>
                    </div>
                    <form class="site-form" action="{% url 'restaurants:edittable' %}" method="post">
                        {% csrf_token %}
                        <div class="modal-body">
                                <div class="box-body">
                                    <div class="form-group">
                                        <input type="hidden" name="idno" id="idno">
                                        <label for="tableno">Table Number</label>
                                        <input type="text" name="tableno" id="tableno" class="form-control" autofocus>
                                    </div>
                                </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Submit"></input>
                        </div>
                    </form>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->

        <div class="modal fade" id="modal-deletetable">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                        <h4>Delete Table</h4>
                    </div>
                    <form class="site-form form-horizontal" action="{% url 'restaurants:deletetable' %}" method="post">
                        {% csrf_token %}
                        <div class="modal-body">
                                <div class="box-body">
                                    <div class="form-group">
                                        <input type="hidden" name="idno" id="idno">
                                        <h3 class="text-center">Are you sure you want to DELETE this Table?</h3>
                                        <label for="tableno" class="col-sm-3 control-label">Table Number</label>
                                        <div class="col-sm-9">
                                          <input type="text" class="form-control" name="tableno" id="tableno" disabled>
                                        </div>
                                    </div>
                                </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <input type="submit" class="btn btn-primary" value="Submit"></input>
                        </div>
                    </form>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->

    </div>
</div>
{% endblock %}